summaryrefslogtreecommitdiffstats
path: root/tests/langbench/findtclsh
diff options
context:
space:
mode:
authordgp <dgp@users.sourceforge.net>2016-04-19 20:35:49 (GMT)
committerdgp <dgp@users.sourceforge.net>2016-04-19 20:35:49 (GMT)
commit66032e8a327e0498b0d8970307452f66c69be25c (patch)
tree345b92b9d0c1be0f8ff45032a38884929744545e /tests/langbench/findtclsh
parent0a228666ae8b3189ae92ff7624263de1455c24ff (diff)
downloadtcl-66032e8a327e0498b0d8970307452f66c69be25c.zip
tcl-66032e8a327e0498b0d8970307452f66c69be25c.tar.gz
tcl-66032e8a327e0498b0d8970307452f66c69be25c.tar.bz2
Fork of Tcl used in the "Little" project.
http://www.mcvoy.com/lm/little/index.html
Diffstat (limited to 'tests/langbench/findtclsh')
-rwxr-xr-xtests/langbench/findtclsh35
1 files changed, 35 insertions, 0 deletions
diff --git a/tests/langbench/findtclsh b/tests/langbench/findtclsh
new file mode 100755
index 0000000..e679716
--- /dev/null
+++ b/tests/langbench/findtclsh
@@ -0,0 +1,35 @@
+#!/bin/sh
+
+test X$TCLSH = X || {
+ echo $TCLSH
+ exit 0
+}
+
+# If langbench is in the bk source tree, tcl is at ../gui/tcltk/tcl
+test -d ../gui/tcltk/tcl/generic && {
+ if [ -d C:/ ]
+ then echo ../gui/tcltk/tcl/win/tclsh85.exe
+ else echo ../gui/tcltk/tcl/unix/tclsh
+ fi
+ exit 0
+}
+
+# If langbench is in the tcl source tree, it is likely at tests/langbench
+# or tests.
+test -d ../tests -a -d ../generic && {
+ if [ -d C:/ ]
+ then echo ../win/tclsh85.exe
+ else echo ../unix/tclsh
+ fi
+ exit 0
+}
+test -d ../../tests -a -d ../../generic && {
+ if [ -d C:/ ]
+ then echo ../../win/tclsh85.exe
+ else echo ../../unix/tclsh
+ fi
+ exit 0
+}
+
+echo "Can't find tclsh, set a path to one with TCLSH" 1>&2
+exit 1